#include "libaffichage.h"

/*! retourne un tableau de pointeurs contenant les noms des fonctions de ce 
 * fichier, le dernier lment du tableau tant NULL
 */
char ** getPlugins(void)
{ 
    char ** tab = NULL;
    
    tab = malloc(sizeof(char *)*3);
    if ( tab == NULL ) {
	perror("malloc");
	return NULL;
    }

    tab[0] = malloc(6);
    if ( tab[0] == NULL ) {
	perror("malloc");
	free(tab);
	return NULL;
    }

    tab[1] = malloc(11);
    if ( tab[1] == NULL ) {
	perror("malloc");
	free(tab[0]);
	free(tab);
	return NULL;
    }

    strcpy(tab[0],"print");
    strcpy(tab[1],"printstack");

    tab[2] = NULL;

    return tab;
}

/*! affiche le contenu de la liste en sommet de pile, sans la supprimer 
 */
int print(pile *p, int argc, char ** argv)
{
  if((*p) != NULL)
    affiche((*p)->l);

  return 1;
}



/*! affiche le contenu de la pile 
 */
int printstack(pile *p,int argc,char **argv)
{
  pile tmp=(*p);

  while(tmp != NULL)
    {
      affiche(tmp->l);
      tmp=tmp->suiv;
    }
  return 1;
}

